| NORSYS SOFTWARE © 2009 | NETICA API | JAVA VERSION 4.18

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## norsys.netica
Class NeticaEvent

    java.lang.Object
      |
      +--norsys.netica.NeticaEvent

public class NeticaEvent
extends java.lang.Object

Information describing an event which occurred within Netica. Objects of this class are used to pass the information to registered NeticaListeners.

Since:
  2.08
Version:
  4.18 - October 1, 2010

Field Summary
`static int` | `CREATE_EVENT` Not currently implemented.
`static int` | `DUPLICATE_EVENT` Not currently implemented.
`static int` | `REMOVE_EVENT` Indicates an object is about to be removed from its owner, and shortly after that may be deleted.

Method Summary
`int` | `getKind()` Returns what kind of event occurred.
`java.lang.Object` | `getObject()` Returns the object that is associated with this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

public static final int CREATE_EVENT

  Not currently implemented. In future, will indicate that an object has just been created, but not yet used. Call getObject to get a reference to that object. A return value of `NeticaEvent.getKind`.

public static final int DUPLICATE_EVENT

  Not currently implemented. In future, will indicate that an object was just duplicated, whereupon you can all getObject to get a reference to the new object. A return value of `NeticaEvent.getKind`.

public static final int REMOVE_EVENT

  Indicates an object is about to be removed from its owner, and shortly after that may be deleted. Call getObject to get a reference to that object. A return value of `NeticaEvent.getKind`.

Method Detail

public int getKind ( )

  Returns what kind of event occurred. It will be one of: CREATE_EVENT, DUPLICATE_EVENT, or REMOVE_EVENT.

  More events being contemplated by Norsys include: SAVE_EVENT (the object is about to be saved to file), RESTORE_EVENT (the object was just read from file), CHANGED_EVENT (the object has just been modified), BELIEFS_EVENT ( beliefs of a node have just changed), and USERSFIELD_GET_EVENT (a user field is about to be accessed). Contact Norsys if you need this functionality.
  Version:

  This method is available in all versions.
  Example:

      See General.eventOccurred

public Object getObject ( )

  Returns the object that is associated with this event.
  Version:
  This method is available in all versions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD